Name:           python-pytest-shutil
Version:        1.7.0
Release:        1
Summary:        A goodie-bag of unix shell and environment tools for py.test
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-shutil
Source0:        https://files.pythonhosted.org/packages/f7/fa/c1f7bfb61674f69fb2694bda0ef475a6b8b915a5c36105648dd58a6f200a/pytest-shutil-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-contextlib2 python3-devel python3-execnet python3-mock python3-wheel
BuildRequires:  python3-path python3-pytest python3-pip python3-setuptools_git python3-termcolor 

%description
This library is a goodie-bag of Unix shell and environment management tools for automated tests.

%package   -n   python3-pytest-shutil
Summary:        A goodie-bag of unix shell and environment tools for py.test
%{?python_provide:%python_provide python3-pytest-shutil}
Requires:       python3-pytest

%description -n python3-pytest-shutil
This library is a goodie-bag of Unix shell and environment management tools for automated tests.

%prep
%autosetup -n pytest-shutil-%{version} -p1

# https://bugzilla.redhat.com/show_bug.cgi?id=1702355
sed -i -e 's|path.py|path|' setup.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-pytest-shutil
%doc README.md CHANGES.md
%{python3_sitelib}/*

%changelog
* Mon Oct 24 2022 xu_ping <xuping33@h-partners.com> - 1.7.0-1
- Update to 1.7.0

* Thu Sep 10 2020 Ge Wang<wangge20@huawei.com> - 1.2.6-9
- Modify Source0 Url

* Thu Aug 06 2020 zhangjiapeng<zhangjiapeng9@huawei.com> - 1.2.6-8
- Remove python2

* Thu May 21 2020 wangerfeng<wangerfeng5@huawei.com> - 1.2.6-7
- fix testcase failure

* Wed Mar 4 2020 zhouyihang<zhouyihang1@huawei.com> - 1.2.6-6
- Pakcage init
